Subject: [apps-discuss] Topics on Apps & Web specs (from W3C / WHATWG )

From: Larry Masinter <[email-masked]>
Date: Sun, 4 Nov 2012 00:38:39 -0700

Since I didn't ask for an agenda slot on Monday, I'll suggest these as an informal topics for anyone interested, perhaps a bar bof during the week. But If I could get a few minutes to announce these at apps area WG, that would be great:

 *   I've proposed using the IRI working group time slot to discuss updating STD 66 / RFC 3896 URI spec, combining it with the IRIs and http://url.spec.whatwg.org 's algorithmic specification of URL processing. I didn't ask for agenda time before, but the topic came out of developments the last few days at the W3C TPAC meeting. There are a couple of other "willful violations" in HTML based on current implementations not matching current specifications, and I'd like to talk about those with anyone interested.

 *   I'd like to talk about the HTML5 features of registerProtocolHandler, registerContentHandler  (where a web site can dynamically add itself as an implementation of a new URI scheme and of a new MIME type, respectively) and its impact on the use of IANA registries. This is more speculative, but I think fits into the previous "death of protocols" discussion in the IAB.